## plone-3.0.6p2.tgz

=== zope/lib/python/Products/PortalTransforms/Makefile ===
NAME=PortalTransforms
MAJOR_VERSION=1.0
MINOR_VERSION=4
RELEASE_TAG=
PACKAGE_NAME=${NAME}-${MAJOR_VERSION}.${MINOR_VERSION}${RELEASE_TAG}

PYTHON="/usr/bin/python"
TMPDIR=~/tmp

CURDIR=~/src/archetypes/head/PortalTransforms
BASE_DIR=${CURDIR}/..
SOFTWARE_HOME=~/src/zope/2_7/lib/python
INSTANCE_HOME=~/src/instance/shellex
PACKAGES=PortalTransforms


RM=rm -f
RMRF=rm -rf
FIND=find
XARGS=xargs
CD=cd
LN=ln -sfn
CP=cp
TAR=tar
MKDIR=mkdir -p

.PHONY : clean test reindent reindent_clean sdist
.PHONY : default

# default:     The default step (invoked when make is called without a target)
default: clean test

clean :
	find . \( -name '*~' -o -name '*.py[co]' -o -name '*.bak' \) -exec rm {} \; -print

reindent :
	~/src/reindent.py -r -v .

test :
	export INSTANCE_HOME=${INSTANCE_HOME}; export SOFTWARE_HOME=${SOFTWARE_HOME}; \
	cd ${CURDIR}/tests && ${PYTHON} runalltests.py


# sdist:       Create a source distribution file (implies clean).
#
sdist: reindent clean sdist_tgz

# sdist_tgz:   Create a tgz archive file as a source distribution.
#
sdist_tgz:
	echo -n "${MAJOR_VERSION}.${MINOR_VERSION}${RELEASE_TAG}" >\
          ${CURDIR}/version.txt
	${MKDIR} ${TMPDIR}/${PACKAGE_NAME}
	${CD} ${TMPDIR}/${PACKAGE_NAME} && \
          for package in ${PACKAGES}; do ${LN} ${BASE_DIR}/$$package .; done && \
          ${CD} ${TMPDIR} && ${TAR} czfh ${BASE_DIR}/${PACKAGE_NAME}.tgz ${PACKAGE_NAME} \
           --exclude=${PACKAGE_NAME}.tgz\
           --exclude=CVS \
           --exclude=.cvsignore \
           --exclude=makefile \
           --exclude=Makefile \
           --exclude=*.pyc \
           --exclude=TAGS \
           --exclude=*~ \
           --exclude=.#*
	${RMRF} ${TMPDIR}/${PACKAGE_NAME}

=== zope/lib/python/Products/kupu/mmbase/Makefile ===
# $Id: Makefile,v 1.8 2005/09/08 08:30:31 michiel Exp $


KUPU_HOME=..
XSLTPROC = /usr/bin/env xsltproc

XSL_DEBUG = --param debug true\(\)
XSLTPROC_PARAMS = --nonet --novalid --xinclude
XSL_FILE=$(KUPU_HOME)/make.xsl
XSLJSPX_FILE=$(KUPU_HOME)/make-jspx.xsl
I18N=$(KUPU_HOME)/kupu-i18n.jar

LANGS=nl de fr it eo
#type in i18n: msginit -l <locale> -i messages.po


all: index.jspx body.jspx head.jspx


index.jspx: mmbase-kupu-i18n.jar *.kupu  Makefile
	$(XSLTPROC) $(XSLTPROC_PARAMS) -o $@  $(XSLJSPX_FILE) dist-mmbase.kupu

body.jspx: mmbase-kupu-i18n.jar *.kupu  Makefile
	$(XSLTPROC) $(XSLTPROC_PARAMS) -o $@  $(XSLJSPX_FILE) body-mmbase.kupu

head.jspx: mmbase-kupu-i18n.jar *.kupu  Makefile
	$(XSLTPROC) $(XSLTPROC_PARAMS) -o $@  $(XSLJSPX_FILE) head-mmbase.kupu

$(I18N):
	@$(MAKE) -C $(KUPU_HOME) kupu-i18n.jar	

.PHONY:
messages: *.js clean
	rm -f phony.js
	grep -r "fmt:message" *.jspx *.kupu | sed 's/.*key="\(.*\)".*/_("\1");/g' | uniq > phony.js
	mkdir -p i18n
	xgettext --from-code=UTF-8 -L java -k_ -p i18n -j *.js -o en.po
	for LOCALE in $(LANGS) ; do \
	   msgmerge --update --backup=off i18n/$${LOCALE}.po i18n/en.po; \
	done

mmbase-kupu-i18n.jar: i18n/*.po
	mkdir -p resourcebundle
	for LOCALE in $(LANGS) en ; do \
	    msgfmt --java2  -D . -d resourcebundle -r org.mmbase.kupu.Messages -l $${LOCALE} i18n/$${LOCALE}.po; \
	done
	jar cf $@ -C resourcebundle org

clean:
	rm -f index.jspx
	rm -f mmbase-kupu-i18n.jar
	rm -rf resourcebundle
	@$(MAKE) -C $(KUPU_HOME) clean

=== zope/lib/python/Products/validation/debian/changelog ===
validation (1.0.3-1) unstable; urgency=low

  * New upstream release
  * Added isEmpty validator

 -- Christian Heimes <heimes@faho.rwth-aachen.de>  Tue, 20 Apr 2004 22:54:48 +0200

validation (1.0.2-1) unstable; urgency=low

  * New upstream version
  * valiation is moved from python site-packages to zope Products

 -- Christian Heimes <heimes@faho.rwth-aachen.de>  Sun, 21 Mar 2004 16:43:16 +0100

validation (1.0-1) unstable; urgency=low

  * Initial Release. 

 -- Sylvain Thnault <sylvain.thenault@logilab.fr>  Wed, 30 Jul 2003 14:42:05 +0200

=== zope/lib/python/Products/PortalTransforms/debian/control ===
Source: zope-cmftransforms
Section: web
Priority: optional
Maintainer: Sylvain Thenault <sylvain.thenault@logilab.fr> 
Build-Depends-Indep: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: zope-cmftransforms
Architecture: all
Depends: zope, lynx, pdftohtml, python-docutils, xpdf-utils
Suggests: wv, xsltproc, tidy, unrtf, ppthtml, xlhtml, gs-common
Description: MIME types based transformations for the CMF
 This package provides two new CMF tools in order to
 make MIME types based transformations on the portal contents and so an
 easy to way to plugin some new transformations for previously
 unsupported content types. You will find more info in the package's
 README and docs directory.
 .
 It's part of the Archetypes project, but the only requirement to use it
 is to have a CMF based site. If you are using Archetypes, this package
 replaces the transform package.
 .
 Notice this package can also be used as a standalone Python package. If
 you've downloaded the Python distribution, you can't make it a Zope
 product since Zope files have been removed from this distribution.
 .
 Homepage: http://www.sourceforge.net/projects/archetypes




Package: zope-cmftransforms-test
Architecture: all
Depends: zope-cmftransforms (= ${Source-Version})
Description: zope-cmftransforms's test files.
 This package contains test files shared by the zope-cmftransforms package.

=== zope/lib/python/Products/Archetypes/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4



build: DH_OPTIONS=
build: build-stamp
build-stamp: 
	dh_testdir
	
	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf build
	rm -rf debian/zope-cmfarchetypes/
	find . -name "*.pyc" | xargs rm -f
	rm -f changelog.gz
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
	find . -type f -not \( \
			-path '*/debian/*' -or \
			-path '*/build/*' -or \
			-name 'build-stamp' -or \
			-iname 'license*' -or \
			-iname 'changelog*' -or \
			-iname 'authors*' -or \
			-name 'README*' -or \
			-name 'INSTALL**' -or \
			-name 'TODO*' -or \
			-name 'COPYING*' -or \
			-name 'MANIFEST*' -or \
			-name 'DEPENDS' -or \
			-name 'RECOMMENDS' -or \
			-name 'SUGGESTS' -or \
			-name '.cvsignore' \
			-or -path '*/docs/*' \
        		\) -exec install -D --mode=644 {} debian/zope-cmfarchetypes/usr/lib/zope/lib/python/Products/Archetypes/{} \;
	
	
	


# Build architecture-independent files here.
binary-indep: DH_OPTIONS=-i
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	
	
	
	dh_installexamples --package=zope-cmfarchetypes examples/* 
	
	# install documentation
	cp -r docs/* debian/zope-cmfarchetypes/usr/share/doc/zope-cmfarchetypes/html/
	gzip -9 -c ChangeLog > changelog.gz
	dh_installdocs -A README.txt TODO.txt changelog.gz 
	dh_installchangelogs
	
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol 
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir 
	dh_testroot 
	dh_install
	
	
	
	dh_installexamples --package=zope-cmfarchetypes examples/* 
	
	# install documentation
	cp -r docs/* debian/zope-cmfarchetypes/usr/share/doc/zope-cmfarchetypes/html/
	gzip -9 -c ChangeLog > changelog.gz
	dh_installdocs -A README.txt TODO.txt changelog.gz 
	dh_installchangelogs
	
	dh_strip
	dh_link
	dh_compress 
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep 
.PHONY: build clean binary-arch binary-indep binary

=== zope/lib/python/Products/validation/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4
PKG=debian/zope-validation/usr/lib/zope/lib/python/Products/validation

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_clean -k
	dh_installdirs

	find . -type f -not \( \
			-path '*/debian/*' -or \
			-name '.cvsignore' -or \
			-name 'build-stamp' -or \
			-name 'README' -or \
			-name 'ChangeLog' -or \
			-name 'LICENSE.txt' -or \
			-name 'LICENSE.GPL' \
		\) -exec install -D --mode=644 {} $(PKG)/{} \;

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs -n
	dh_installexamples
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep
.PHONY: build clean binary-indep binary install
